Bug 1468495 - (CVE-2017-10981) CVE-2017-10981 freeradius: Memory leak in fr_dhcp_decode()
CVE-2017-10981 freeradius: Memory leak in fr_dhcp_decode()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170717,repor...
: Security
Depends On: 1469123 1469122 1471853
Blocks: 1468570
  Show dependency treegraph
 
Reported: 2017-07-07 05:07 EDT by Adam Mariš
Modified: 2017-11-15 04:35 EST (History)
7 users (show)

See Also:
Fixed In Version: freeradius 2.2.10
Doc Type: If docs needed, set a value
Doc Text:
A memory leak flaw was found in the way FreeRADIUS server handles decoding of DHCP packets. A remote attacker could use this flaw to cause the FreeRADIUS server to consume an increasing amount of memory resources over time, possibly leading to a crash due to memory exhaustion, by sending specially crafted DHCP packets.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 05:38:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (898 bytes, patch)
2017-07-07 08:13 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-07 05:07:02 EDT
It was discovered that if option decoding fails, the fr_dhcp_decode() function would leak memory.

The security impact is denial of service via memory exhaustion by any network device capable of sending DHCP packets to FreeRADIUS, which sends packets with malformed options.

Affected versions: 2.0.0 through 2.2.9, inclusive.
Comment 1 Adam Mariš 2017-07-07 05:07:09 EDT
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken
Comment 2 Adam Mariš 2017-07-07 08:13 EDT
Created attachment 1295278 [details]
Proposed patch
Comment 6 Dhiru Kholia 2017-07-17 10:33:45 EDT
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471853]
Comment 7 errata-xmlrpc 2017-07-17 23:42:14 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:1759 https://access.redhat.com/errata/RHSA-2017:1759
Comment 8 Dhiru Kholia 2017-08-02 05:47:04 EDT
External References:

http://freeradius.org/security/fuzzer-2017.html

Note You need to log in before you can comment on or make changes to this bug.